/*region reset*/
html{position: absolute; width: 100%; height: 100%;}
body{position: absolute; width: 100%; height: 100%; background: #E3E3E3; font: 0.8em/30px Yekan, tahoma; overflow-y: scroll;}
*{position: relative; line-height: normal; direction: rtl; border:none; box-shadow: none; outline: none; padding: 0; margin: 0; text-decoration: none; color: inherit; font-family: Yekan, sans-serif; background-color: transparent; border-image: 0; line-height: inherit; box-sizing: border-box; text-align: center; vertical-align: middle;}
*::before, *::after{display: block; width: 100%; line-height: normal; float: right; font-family: icons; font-size: 20px; text-align: center;}
input, textarea{appearance: none; display: block; width: 100%; padding: 5px 10px; height: 35px; direction: rtl; font-family: Yekan, sans-serif; color: #444; border:1px solid #CCC; border-radius: 5px; box-sizing: border-box; transition: color .25s, border-color .25s; text-align: right;}
textarea{min-height: 75px; height: auto;}
input:focus, textarea:focus, select:focus{border: 1px solid #999;}
input::-webkit-input-placeholder, textarea::-webkit-input-placeholder {transition: color .25s;}
input:focus::-webkit-input-placeholder, textarea:focus::-webkit-input-placeholder {color: #CCC;}
a,button{display: block; cursor: pointer; white-space: nowrap; border-radius: 5px;}
span{display: block; text-align: center;}
@media(min-width: 1000px){
    ::-webkit-scrollbar {width: 5px; background-color: transparent;} ::-webkit-scrollbar-track {background-color: transparent; } ::-webkit-scrollbar-thumb{background-color: rgba(0,0,0,0.2); border-radius: 5px;}
    ::-webkit-scrollbar-button{display: none;}
    ::-webkit-scrollbar-track-piece{background-color: transparent; }
}
@media(max-width: 1000px){
    body{font-size: 0.9em;}
}

@media(max-width: 600px){
    body{font-size: .9em;}
}
/*endregion*/

/*region core*/
/*no background*/
#cover{position: fixed; width: 100%; height: 100%; top: 0; right: 0; bottom: 0; -webkit-backface-visibility: hidden;}
/*endregion*/

/*region flasher*/
.flasher_div{position: fixed; width: 250px; bottom: 15px; left: 15px;}
.flasher{animation: flasherIn .5s ease-out forwards; position: relative; background-color: #FFF; margin: 10px 0 0 0; opacity: 0; box-shadow: 0 0 5px rgba(0,0,0,0.2); border-radius: 5px; cursor: pointer;}
.flasher::before{animation: flasher_not 1.5s linear 2; position: absolute; content: '\F008'; width: 40px; line-height: 40px; top: 0; right: 0; font-size: 25px; color: #FF4D4D; transform-origin: 50% 35%;}
.flasher .body{line-height: 40px; padding: 0 10px; margin: 0 40px 0 0; color: #444; border-right: 1px solid #CCC;}
.flasher_out{animation: flasherOut .5s ease-in forwards;}
.flasher.error{color: #FFF; background-color: #FF4D4D;}
.flasher .link{color: #FFF; border-color: #FFF;}
@keyframes flasherIn {0% { opacity: 0; transform: translate(-250px, 0); } 100% { opacity: 1; transform: translate(0,0); }}
@keyframes flasherOut {0% { opacity: 1; transform: translate(0,0px); } 100% {display: none; opacity: 0; transform: translate(-250px,0px); }}
@keyframes flasher_not {0% {transform: rotate(0deg)} 25%{transform: rotate(20deg)} 50%{transform: rotate(0deg)} 75%{transform: rotate(-20deg)} 100%{transform: rotate(0)}}
/*endregion*/

/*region view*/
#hover-menu{z-index: 16; position: absolute; display: inline-block; max-width: 250px; min-width: 150px; background: #FFF; box-shadow: 0 2px 3px rgba(0,0,0,0.3);}
#hover-menu title{display: block; width: 100%; text-align: center; color: #FF4D4D; line-height: 35px; border-bottom: 1px solid #FF4D4D; border-radius: 0;}
#hover-menu button{display: block; width: 100%; text-align: right; color: #777; line-height: 35px; padding: 0 10px; border-bottom: 1px solid #CCC; border-radius: 0;}
#hover-menu button:hover{background: #EEE; color: #444;}

*[page]{transition: opacity .25s;}
.invisible-page{position: absolute; top: 0; left: -10000px; opacity: 0;}

*[overlay=true]{display: none; opacity: 0; position: fixed; width: 100%; height: 100%; top: 0; left: 0; background-color: rgba(230,230,230,.9); overflow: hidden; overflow-y: scroll; will-change: transform; -webkit-backface-visibility: hidden;}
*[overlay=true].in{animation: overlay_animation .25s ease-out forwards;}
*[overlay=true].done{opacity: 1;}
*[overlay=true].out{animation: overlay_animation_reverse .2s ease-in forwards;}
@keyframes overlay_animation{0% {opacity: 0;} 100% {opacity: 1;}}
@keyframes overlay_animation_reverse{0% {opacity: 1;} 100% {opacity: 0;}}

*[overlay=true] > [overlay-div]{background: #FFF; box-shadow: 0 1px 3px rgba(0,0,0,0.15); border-radius: 3px;}

#overlay-remove{position: fixed; width: 50px; height: 50px; top: 5px; left: 5px; cursor: pointer;}
#overlay-remove::before{content: "\f017"; width: 50px; line-height: 50px; color: #444; font-size: 25px;}
@media(max-width: 600px){
	#overlay-remove{top: 5px; left: 5px;}
}

*[sidebar=true]{display: none; position: fixed; height: 100%; top: 0; background: #FFF; box-shadow: 0 0 10px rgba(0, 0, 0, 0.25); overflow-y: auto;}
*[sidebar=true].appear-from-right{animation: sidebarRight .35s ease-out forwards;}
*[sidebar=true].appear-from-left{animation: sidebarLeft .35s ease-out forwards;}
@keyframes sidebarRight{0% {transform: translate(100%,0);}  100%{opacity: 1; transform: translate(0px,0);}}
@keyframes sidebarLeft{0% {transform: translate(-100%,0);}  100%{opacity: 1; transform: translate(0px,0);}}
*[sidebar=true].disappear-to-right{opacity: 1; animation: sidebarHideRight .25s ease-out forwards;}
*[sidebar=true].disappear-to-left{opacity: 1; animation: sidebarHideLeft .25s ease-out forwards;}
@keyframes sidebarHideLeft{0% {transform: translate(0,0);} 100%{transform: translate(-100%,0);}}
@keyframes sidebarHideRight{0% {transform: translate(0,0);} 100%{transform: translate(100%,0);}}

*[cover]{opacity: 0; animation: coverIn .25s ease-out forwards; position: fixed; width: 100%; height: 100%; top: 0; left: 0; background: rgba(0,0,0,0.1);}
*[cover].invisible{background: transparent;}
*[cover].out{animation: coverOut .25s ease-out forwards;}
@keyframes coverIn{0% {opacity: 0;} 100%{opacity: 1;}}
@keyframes coverOut{0% {opacity: 1;} 100%{opacity: 0;}}

*[menu-holder]{position: absolute; display: inline-block; min-width: 100px; background: #FFF; box-shadow: 0 1px 4px rgba(0,0,0,0.15); border-radius: 3px;}
*[menu-holder] title{display: block; width: 100%; text-align: center; color: #FF4D4D; line-height: 35px; border-bottom: 1px solid #FF4D4D; border-radius: 0;}
*[menu-holder] button{display: block; width: 100%; text-align: right; color: #777; line-height: 35px; padding: 0 10px; border-bottom: 1px solid #CCC; border-radius: 0;}
*[menu-holder] a{display: block; width: 100%; text-align: right; color: #777; line-height: 35px; padding: 0 10px; border-bottom: 1px solid #CCC; border-radius: 0;}
*[menu-holder] button[selectable]::before{content: ""; width: 10px; height: 10px; margin: 12.5px 0 12.5px 5px; background: #DDD; border-radius: 10px;}
*[menu-holder] button:hover{background: #EEE; color: #444;}
*[menu-holder] a:hover{background: #EEE; color: #444;}
*[menu-holder] button.active[selectable]::before{background: #ff7373;}
*[menu-holder] a.active{color: #00a3d9;}

*[tooltip-holder]{position: absolute; background: #444; padding: 2.5px 5px; border-radius: 3px; border-top: 2px solid #ff4d4d; box-shadow: 0 0 5px rgba(0,0,0,0.2); color: #FFF;}
.tooltip{position: absolute; background: #444; padding: 2.5px 5px; border-radius: 3px; border-top: 2px solid #ff4d4d; box-shadow: 0 0 5px rgba(0,0,0,0.2); color: #FFF;}
/**[tooltip-holder]::before{content: ''; position: absolute; width: 0; height: 0; top: -6px; margin: 0 -3px; right: 50%; border-left: 6px solid transparent; border-right: 6px solid transparent; border-bottom: 6px solid #ff4d4d;}*/
/*endregion*/

/*region z-indexes*/
*[cover]{z-index: 6;}
*[overlay=true]{z-index: 5;}
*[sidebar=true]{z-index: 4;}
*[cover].sidebar{z-index: 3;}
*[tooltip-holder]{z-index: 5;}
/*endregion*/

/*region laoder*/
	/*#canvas-loader{position: absolute; width: 100px; height: 100px; top: 150px; left: 50%; margin: -50px;}*/

	#loader{position: absolute; width: 60px; height: 60px; top: 100px; left: 50%; margin: 0px -30px; stroke: #999;}
	#loader svg{animation: loaderRotate 1s linear infinite; position: absolute; width: inherit; height: inherit; stroke: inherit;}
	#loader.small svg path{stroke: inherit;}
	/*just smaller*/
	#loader.small{top: 50%; width: 40px; height: 40px; margin: -20px;} 
	#loader.small svg path{stroke-width: 3;}
	/*bottom*/
	#loader.relative{top: auto; margin: 15px 0;} 
	#loader.tinycenter{width: 24px; height: 24px; top: 50%; margin: -12px;} 
	#loader.tinycenter svg path{stroke-width: 3; stroke: inherit;}

@keyframes loaderRotate{0% {transform: rotate(0deg);}  100%{opacity: 1; transform: rotate(360deg);}}
	.circular {animation: rotate 2s linear infinite; height: inherit; position: relative; width: inherit; } 
	.path {stroke-dasharray: 1,200; stroke-dashoffset: 0; animation: dash 1.5s ease-in-out infinite; stroke-linecap: round; } @-webkit-keyframes rotate {100% {transform: rotate(360deg); } } @keyframes rotate {100% {-webkit-transform: rotate(360deg); transform: rotate(360deg); } } @-webkit-keyframes dash {0% {stroke-dasharray: 1,200; stroke-dashoffset: 0; } 50% {stroke-dasharray: 89,200; stroke-dashoffset: -35; } 100% {stroke-dasharray: 89,200; stroke-dashoffset: -124; } } @keyframes dash {0% {stroke-dasharray: 1,200; stroke-dashoffset: 0; } 50% {stroke-dasharray: 89,200; stroke-dashoffset: -35; } 100% {stroke-dasharray: 89,200; stroke-dashoffset: -124; } }
/*endregion*/











